<wsdl:definitions
  targetNamespace="http://orchestra.ow2.org/loanApproval/riskAssessment"
  xmlns:tns="http://orchestra.ow2.org/loanApproval/riskAssessment"
  xmlns:common="http://orchestra.ow2.org/loanApproval/common"
  xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/"
  xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"
  xmlns:xsd="http://www.w3.org/2001/XMLSchema"
  xmlns:plnk="http://docs.oasis-open.org/wsbpel/2.0/plnktype"
  xmlns="http://schemas.xmlsoap.org/wsdl/">

  <wsdl:import location="../common.wsdl" namespace="http://orchestra.ow2.org/loanApproval/common"/>

  <plnk:partnerLinkType name="riskAssessmentLT">
    <plnk:role name="assessor" portType="tns:riskAssessmentPT" />
  </plnk:partnerLinkType>

  <wsdl:message name="riskAssessmentMessage">
    <wsdl:part name="level" type="xsd:string"/>
  </wsdl:message>

  <wsdl:portType name="riskAssessmentPT">
    <wsdl:operation name="check">
      <wsdl:input message="common:creditInformationMessage" />
      <wsdl:output message="tns:riskAssessmentMessage" />
    </wsdl:operation>
  </wsdl:portType>

  <binding name="riskAssessmentBinding" type="tns:riskAssessmentPT">
    <soap:binding style="rpc" transport="http://schemas.xmlsoap.org/soap/http"/>
    <operation name="check">
      <soap:operation soapAction="http://orchestra.ow2.org/loanApproval/riskAssessment"/>
      <input>
        <soap:body use="literal" namespace="http://orchestra.ow2.org/loanApproval/riskAssessment" />
      </input>
      <output>
        <soap:body use="literal" namespace="http://orchestra.ow2.org/loanApproval/riskAssessment" />
      </output>
    </operation>
  </binding>

  <service name="riskAssessmentServiceBP">
    <port name="riskAssessmentPort" binding="tns:riskAssessmentBinding">
      <soap:address location="http://localhost:${HttpDefaultPort}/orchestra/riskAssessmentPort"/>
    </port>
  </service>

</wsdl:definitions>